List report configs
GET
/v1/reportconfig/
const url = 'https://example.com/v1/reportconfig/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/reportconfig/ \ --header 'Authorization: Bearer <token>'Return all report configurations for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
id
string format: uuid
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
account
required
string format: uuid
description
string
active
boolean
period
required
0- Weekly1- Monthly
integer
created_at
required
string format: date-time
slos_count
required
integer
latest_report_id
required
string format: uuid
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "period": 0 } ]}